## org.eclipse.emf.edit.domain
Class AdapterFactoryEditingDomain.DomainTreeIterator<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<java.util.Iterator<? extends E>>
                      org.eclipse.emf.common.util.AbstractTreeIterator<E>
                          org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.DomainTreeIterator<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.util.Iterator<? extends E>>, java.util.Collection<java.util.Iterator<? extends E>>, java.util.Iterator<E>, java.util.List<java.util.Iterator<? extends E>>, java.util.RandomAccess, EList<java.util.Iterator<? extends E>>, TreeIterator<E>

Enclosing class:
  AdapterFactoryEditingDomain

    public static class AdapterFactoryEditingDomain.DomainTreeIterator<E>

extends AbstractTreeIterator<E>

This implements an tree iterator that iterates over an object, it's domain children, their domain children, and so on.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary
`protected EditingDomain` `domain` This is the domain that defines the tree structured.

Fields inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`includeRoot, nextPruneIterator, nextRemoveIterator, object`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`AdapterFactoryEditingDomain.DomainTreeIterator(EditingDomain domain, E object)` This constructs tree iterator that iterates over an object, it's domain children, their domain children, and so on.
`AdapterFactoryEditingDomain.DomainTreeIterator(EditingDomain domain, java.lang.Object object, boolean includeRoot)` This constructs tree iterator that iterates over an object (but only if includeRoot is true), it's domain children, their domain children, and so on.

Method Summary
`protected java.util.Iterator<E>` `getChildren(java.lang.Object o)` Returns the iterator that yields the children of the object.

Methods inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`hasNext, next, prune, remove`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, newData, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Field Detail

### domain

    protected EditingDomain domain

  This is the domain that defines the tree structured.

Constructor Detail

### AdapterFactoryEditingDomain.DomainTreeIterator

    public AdapterFactoryEditingDomain.DomainTreeIterator(EditingDomain domain,
                                                          E object)

  This constructs tree iterator that iterates over an object, it's domain children, their domain children, and so on.

### AdapterFactoryEditingDomain.DomainTreeIterator

    public AdapterFactoryEditingDomain.DomainTreeIterator(EditingDomain domain,
                                                          java.lang.Object object,
                                                          boolean includeRoot)

  This constructs tree iterator that iterates over an object (but only if includeRoot is true), it's domain children, their domain children, and so on.

Method Detail

### getChildren

    protected java.util.Iterator<E> getChildren(java.lang.Object o)

  Description copied from class: `AbstractTreeIterator`
  Returns the iterator that yields the children of the object.

  Specified by:
    `getChildren` in class `AbstractTreeIterator<E>`
  Parameters:
    `o` - the object for which children are required.
  Returns:
    the iterator that yields the children.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.